/*
  Ejemplo de uso de variables 
  Created by Miguel Angel Rubio - marubio@ugr.es
  date: June 2014
  Mirar fichero de instrucciones
  This example code is in the public domain.
  
 */


#include <PhysicalComputingDemonstrations.h>


void setup() {                

  int leds[5] = {9,10,11,12,13}; 
  apaga_led(leds,5);
 
  int a = 3;
  int b = 7;
 
  b = a * 3 + 2;
  a = 1; 
  destellos(b);
}


// the loop routine runs over and over again forever:
void loop() {

}



//Funcion apagar. Apaga dos leds (13 y 9) en el arduino
void apagar() {
  int led1 = 13;
  int led2 = 9;

  apaga_led(led1);
  apaga_led(led2);
}
  
//Funcion encender. Enciende dos leds (13 y 9) en el arduino
void encender() {
  int led1 = 13;
  int led2 = 9;

  enciende_led(led1);
  enciende_led(led2);
}

//Función destellos. Da num destellos
//Argumento de entrada
//ard: Arduino conectado
//num_destellos: el número de destellos a hacer

void destellos(int num_destellos) {
  int led1 = 13;
  int led2 = 9;
  
  for (int cont = 0; cont < num_destellos; cont++) {
    enciende_led(led1);
    apaga_led(led1);
    para(1);

    enciende_led(led2);
    apaga_led(led2);
    para(1);  
  }
  
  apaga_led(led1);
  apaga_led(led2);
}
