/*
  Ejemplo de uso de condicionales 
  Created by Miguel Angel Rubio - marubio@ugr.es
  date: June 2014
  Mirar el documento de instrucciones
  This example code is in the public domain.  
 */

#include <PhysicalComputingDemonstrations.h>

void setup() {                

float luz = lee_luminosidad();

if (luz < 0.5)
  enciende_leds();
else
  apaga_leds();
  
}

void loop() {
}


//Función luminosidad. Ve la luminosidad de la habitación
//El sensor es el LDR-VT90N2 
//Ver los pdf adjuntos
//Argumento de salida
//El valor de luminosidad normalizado de 0 a 1
float lee_luminosidad (){
  int analog_pin = 5;
  float voltaje = lee_voltaje(analog_pin);
  voltaje = voltaje/1024.;
  return voltaje;
}

void apaga_leds() {
  int leds[5] = {9,10,11,12,13};
  apaga_led(leds,5);
}

void enciende_leds() {
  int leds[5] = {9,10,11,12,13};
  enciende_led(leds,5);
}
